Bug 1314967 - gnome terminal no longer support --geometry as described in help
gnome terminal no longer support --geometry as described in help
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-menus (Show other bugs)
25
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-05 04:33 EST by Arnaud Kleinveld
Modified: 2017-04-24 11:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-24 11:58:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of OS version number (78.94 KB, image/png)
2016-03-08 21:39 EST, Arnaud Kleinveld
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 760944 None None None 2016-03-08 14:06 EST

  None (edit)
Description Arnaud Kleinveld 2016-03-05 04:33:31 EST
Description of problem:
gnome terminal desktop shortcut ignores position arguments

Version-Release number of selected component (if applicable):
Gnome 3.16.2

How reproducible:


Steps to Reproduce:
1. Add geometry argument to local/share/applications/gnome-terminal.desktop, for example: Exec=gnome-terminal --geometry=140x35+250+200
2. Launch terminal with shortcut
3.

Actual results:
geometry argument is ignored and terminal launches in right-top corner of screen


Expected results:
Terminal to launch with offset from right top corner of screen. Like it does when manually ran.

Additional info:
Comment 1 Debarshi Ray 2016-03-08 14:06:44 EST
Definitely not Fedora 22 because this is due to a gtk+ change during the Fedora 24 cycle.
Comment 2 Arnaud Kleinveld 2016-03-08 21:38:16 EST
(In reply to Debarshi Ray from comment #1)
> Definitely not Fedora 22 because this is due to a gtk+ change during the
> Fedora 24 cycle.

The system having the problem is Fedora 22. See attachment.
Comment 3 Arnaud Kleinveld 2016-03-08 21:39 EST
Created attachment 1134374 [details]
Screenshot of OS version number
Comment 4 Fedora End Of Life 2016-07-19 16:00:50 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Arnaud Kleinveld 2016-08-14 04:37:20 EDT
After upgrading to Fedora 24 Gnome Terminal returns a message when using the geometry argument.

Example:
gnome-terminal --window --geometry=140x35+250+250

Output:
Option "--geometry" is no longer supported in this version of gnome-terminal.

While the help is still listing its support:
Usage:
  gnome-terminal [OPTION…]

Help Options:
  -h, --help                      Show help options
  --help-all                      Show all help options
  --help-gtk                      Show GTK+ Options
  --help-terminal                 Show terminal options
  --help-window-options           Show per-window options
  --help-terminal-options         Show per-terminal options

GTK+ Options
  --class=CLASS                   Program class as used by the window manager
  --name=NAME                     Program name as used by the window manager
  --gdk-debug=FLAGS               GDK debugging flags to set
  --gdk-no-debug=FLAGS            GDK debugging flags to unset
  --gtk-module=MODULES            Load additional GTK+ modules
  --g-fatal-warnings              Make all warnings fatal
  --gtk-debug=FLAGS               GTK+ debugging flags to set
  --gtk-no-debug=FLAGS            GTK+ debugging flags to unset

Options to open new windows or terminal tabs; more than one of these may be specified:
  --window                        Open a new window containing a tab with the default profile
  --tab                           Open a new tab in the last-opened window with the default profile

Window options; if used before the first --window or --tab argument, sets the default for all windows:
  --show-menubar                  Turn on the menubar
  --hide-menubar                  Turn off the menubar
  --maximize                      Maximise the window
  --full-screen                   Full-screen the window
  --geometry=GEOMETRY             Set the window size; for example: 80x24, or 80x24+200+200 (COLSxROWS+X+Y)
...
Comment 6 Trevor Cordes 2016-12-20 04:35:02 EST
Bug still present in Fedora 24 even though it looks fixed upstream?  Can we backport that upstream patch to F24 for errata?

Arnaud, I don't see that "no longer supported" message on my fully updated F24 system.  Perhaps that was just a transient errata version?  If it still occurs for you in F24 can you post the version # of your gnome-terminal?
Comment 7 Arnaud Kleinveld 2016-12-20 10:50:18 EST
Yes indeed. The geometry option is now accepted again.

An observation: The first click on the gnome-terminal shortcut icon launches the terminal at the correct position as provided by the geometry option. The second and subsequent clicks the new terminal is positioned incorrectly at the left top.
Comment 8 Arnaud Kleinveld 2017-02-01 04:34:47 EST
Fedora 25 also positions the terminal at the left top the second time the desktop icon is clicked.
Comment 9 Andre Robatino 2017-04-05 13:20:07 EDT
In F25 on bare metal, the position is correct when using "GNOME on Xorg", but ignored when using the default Wayland.
Comment 10 Andre Robatino 2017-04-05 13:22:42 EDT
I tried asking in https://lists.fedoraproject.org/archives/list/users@lists.fedoraproject.org/thread/U6B7JWGFENLLDU6XZIOZU6J2AU25UIWU/ whether this is a general issue with Wayland (not being able to set the position of windows) or a specific gnome-terminal issue, but got no response. So I don't actually know if my observed behavior is a gnome-terminal bug.
Comment 11 Christian Persch (GNOME) 2017-04-06 13:46:18 EDT
Positioning doesn't work on wayland by design, nothing gnome-terminal can do to work around that.
Comment 12 Andre Robatino 2017-04-07 20:18:50 EDT
(In reply to Christian Persch (GNOME) from comment #11)
> Positioning doesn't work on wayland by design, nothing gnome-terminal can do
> to work around that.

Thanks for the info. From what I've gathered by googling (for example https://www.phoronix.com/scan.php?page=news_item&px=XWayland-Window-Positioning ) they're not opposed to it, and it should work eventually. I can wait.
Comment 13 Arnaud Kleinveld 2017-04-12 03:39:01 EDT
(In reply to Christian Persch (GNOME) from comment #11)
> Positioning doesn't work on wayland by design, nothing gnome-terminal can do
> to work around that.

So I tested it with Gnome on Xorg and had the same problem. Then I found out that it is actually working find if I launch it from within another terminal.

Then I figured it had something to do with the command line in the gnome-terminal.desktop that I created, and that it was because the line wasn't quoted. I have added double quotes around the command and its arguments and now it works. 

And it also works on Wayland!

I don't see anything on the latest specification about this at https://specifications.freedesktop.org/desktop-entry-spec/latest/ar01s06.html, and as far as I remember it has worked before without quotes.
Comment 14 Arnaud Kleinveld 2017-04-12 03:58:47 EDT
Hold on. The reason it is working is not because of the double quotes, it's because there is no other visible application window. 

How reproducible:
Open any application and secondly open gnome terminal it will ignore the geometry. Now minimize all open windows and start gnome terminal with geometry and its works fine. Or don't start any other application from a new gnome session and it will also work fine 

Steps to Reproduce the error:
1. Add geometry argument to local/share/applications/gnome-terminal.desktop, for example: Exec=gnome-terminal --geometry=140x35+250+200
2. Open any application
3. Launch gnome terminal with shortcut

Actual results:
geometry argument is ignored and terminal launches in left-top corner of screen

Expected results:
Terminal to launch with offset from left top corner of screen.

Steps to make it work as expected:
1. Start a new gnome session
2. Launch gnome terminal with shortcut
or
1. Minimize all visible application windows
2. Launch gnome terminal with shortcut
Comment 15 Trevor Cordes 2017-04-20 05:38:01 EDT
Update: The geometry seems to work for me now, but only if I disable default positioning in sawfish (my wm).  I think I may have to talk to the sawfish guys to confirm the problem is now not on their side.  That said, geometry specified for gnome-terminal on the command line used to override the sawfish option, and now it doesn't, so something is definitely wonky.

At least I now have a workaround for when I run my big open-20-windows script: temporarily turn off sawfish's positioning option.

Arnaud, I couldn't reproduce your symptoms in comment #14, which again leads me to think wm's me be affecting things here.  What's your wm?  If it's something other than the Fedora default (no idea what that is now, metacity still?) then you wm might be interfering somehow (of course not in wayland).
Comment 16 Arnaud Kleinveld 2017-04-20 06:08:19 EDT
My (In reply to Trevor Cordes from comment #15)

> Arnaud, I couldn't reproduce your symptoms in comment #14, which again leads
> me to think wm's me be affecting things here.  What's your wm?  If it's
> something other than the Fedora default (no idea what that is now, metacity
> still?) then you wm might be interfering somehow (of course not in wayland).

My WM is Gnome 3.22.2. I use Fedora defaults as much as possible. However, I have been using Fedora since ages and always kept my home directory when upgrading. Perhaps I have some configuration left behind that is no longer shipped with the latest version of Fedora? But that is just guessing.
Comment 17 Arnaud Kleinveld 2017-04-24 11:58:43 EDT
I discovered I had 2 terminal icons in my menu. One in the Utilities menu group and one in the main application menu group. The one I was testing was apparently not the one I had added the geometry to and therefore it was not working.

Now I have replaced the file .local/share/applications/gnome-terminal.desktop with /usr/share/applications/org.gnome.Terminal.desktop and added the geometry and not I have one icon and the geometry works fine.

Note You need to log in before you can comment on or make changes to this bug.